View Issue Details

IDProjectCategoryView StatusLast Update
0000247GZDoom (All)[All Projects] Bugpublic2017-02-15 10:49
ReporterEnjay 
Assigned To 
PrioritynormalSeverityminorReproducibilityhave not tried
Status resolvedResolutionfixed 
Summary0000247: Enemies can't cross steep slopes under 3D floors
DescriptionI think I've narrowed down the conditions that create this situation...

If an an enemy is trying to cross a 3D floor with a steep slope under it, the enemy will refuse to cross; even if the slopes are pretty small.

Tested in GZDoom 2.3.2 and a Git build from 11 Feb.

This represents a change in behaviour: the attached map behaves differently in ZDoom.
Steps To ReproduceLoad the attached map. There is a shallow trench in the middle of the first room and a translucent 3D floor fills it so that the top of the 3D floor is the same as the room floor (height value 0). This should allow enemies to cross but they don't.

I have managed to recreate this reliably in some real maps with similar setups.

The trench is only 16 units deep but has a 45 degree slope (from -16 to -8) at the edge.

The next room is almost the same but the slopes have had their floor height lowered to -12 so that the gradient is now less than 45 degrees. The enemies in this room will walk across the 3D floor.

In ZDoom enemies will walk across the 3D floor in both rooms.

Removing the 3D floor makes the enemies in ZDoom behave the same as in GZDoom; i.e. in both ports the enemies don't go into the trench in the first room but they do in the second room. So, it would appear that the enemies in GZDoom are behaving as if the 3D floor was not providing a bridge over the slopes for them.
TagsNo tags attached.

Relationships

Activities

Enjay

Enjay

2017-02-11 16:43

reporter  

FloorTest.zip (2,578 bytes)
Graf Zahl

Graf Zahl

2017-02-12 18:57

administrator   ~0000537

Welcome to the mess of Doom's movement code. :(
I hope this can be fixed.
Graf Zahl

Graf Zahl

2017-02-15 05:47

administrator   ~0000598

You keep saying 'in ZDoom'. Which version? 2.8.1 or some devbuild?
Enjay

Enjay

2017-02-15 10:49

reporter   ~0000604

Sorry, I should have been clear. ZDoom 2.8.1 I know it's old but I'm sort of using it as a baseline for the last official build before the recent major changes started.

Issue History

Date Modified Username Field Change
2017-02-11 16:43 Enjay New Issue
2017-02-11 16:43 Enjay File Added: FloorTest.zip
2017-02-12 18:57 Graf Zahl Note Added: 0000537
2017-02-15 05:47 Graf Zahl Note Added: 0000598
2017-02-15 06:15 Graf Zahl Status new => resolved
2017-02-15 06:15 Graf Zahl Resolution open => fixed
2017-02-15 10:49 Enjay Note Added: 0000604